%define kdeprefix /usr
%define version 3.1b8_pgb

%define qtver  qt >= 1.42

%define kdename  kpilot
Name: %{kdename}
Summary: KPilot - pilot synchronization tools for KDE
Version: %{version}
Release: 1
Serial: 1
Source: %{kdename}-%{version}.tar.gz
Patch: kpilot-rh.patch
Copyright: GPL
Group: Applications/Communications
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport pilot-link
Prefix: %{kdeprefix}

%description
KPilot allows you to synchronize your PalmPilot with your desktop.  It
allows you to backup and restore the various databases (Addressbook,
ToDo List, Memos, etc.) as well as install applications to the pilot.
Two "conduits" for the third party application KOrganizer are included
which will let you sync your ToDo list and Calendar with that program.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1 -b .rh

%build
export KDEDIR=%{kdeprefix}
make -f Makefile.cvs
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' \
        -e '/\/applnk\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- it says 3.1b8, but is is really like 3.1b8-with-preston-cvs-fixes. :)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 3.1b8

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated for 3.1b7, RPM 3.0.

* Fri Jan 08 1999 Preston Brown <pbrown@redhat.com>
- spec file stolen from korganizer.
